/*
 * zaphistoryosd.h: The actual menu implementations
 *
 * See the main source file 'vdr.c' for copyright information and
 * how to reach the author.
 *
 * $Id:
 */

#ifndef __ZAPHISTORYOSD_H
#define __ZAPHISTORYOSD_H

#include <vdr/osdbase.h>
#include "channelmonitor.h"

class cMenuZappedChannels : public cOsdMenu {
private:
  void Setup(void);
  cChannel *GetChannel(int Index);
  void Propagate(void);
protected:
  eOSState Switch(void);
public:
  cMenuZappedChannels();
  ~cMenuZappedChannels();
  virtual eOSState ProcessKey(eKeys Key);
};

#endif
